net.sf.jasperreports.engine.export.ooxml

## Class JRDocxExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature
  - - net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature
    - - net.sf.jasperreports.engine.export.ooxml.JRDocxExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature

      public class JRDocxExporterNature
      extends JROfficeOpenXmlExporterNature

  Version:
    $Id: JRDocxExporterNature.java 7042 2014-04-24 10:54:02Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `filter, handlerEnvironment, jasperReportsContext, propertiesUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDocxExporterNature(ExporterFilter filter, boolean deepGrid)` Deprecated. Replaced by `JRDocxExporterNature(JasperReportsContext, ExporterFilter, boolean)`.
    `JRDocxExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter, boolean deepGrid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
    `boolean` | `isToExport(JRPrintElement element)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature

      `isBreakAfterRow, isBreakBeforeRow, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `getPropertiesUtil, setXProperties, setXProperties, setYProperties, setYProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRDocxExporterNature

          public JRDocxExporterNature(JasperReportsContext jasperReportsContext,
                              ExporterFilter filter,
                              boolean deepGrid)

    - #### JRDocxExporterNature

          public JRDocxExporterNature(ExporterFilter filter,
                              boolean deepGrid)

      Deprecated. Replaced by `JRDocxExporterNature(JasperReportsContext, ExporterFilter, boolean)`.

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

      Specified by:
        `isToExport` in interface `ExporterFilter`
      Overrides:
        `isToExport` in class `JROfficeOpenXmlExporterNature`

    - #### isDeep

          public boolean isDeep(JRPrintFrame frame)

      Description copied from interface: `ExporterNature`
      Specified whether to include in the grid sub elements of a given `frame` element.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com